QGIS Application - Bug report #14311
Processing Create test error
2016-02-16 08:09 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22301
Description

Create test from Processing history throws an error here:

An error has occurred while executing Python code:

AttributeError: 'NoneType' object has no attribute 'ReadAsArray’
Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/processing/gui/HistoryDialog.py",
line 128, in createTest
TestTools.createTest(item.entry.text)
File "/usr/share/qgis/python/plugins/processing/gui/TestTools.py",
line 167, in createTest
strhash = hashlib.sha224(dataset.ReadAsArray(0).data).hexdigest()
AttributeError: 'NoneType' object has no attribute 'ReadAsArray’

Associated revisions

Revision 23802eb5 - 2016-02-21 01:16 PM - Matthias Kuhn

Add file comparison for HTML output to processing test generator

Refs #14311

History

#1 - 2016-02-16 08:25 AM - Matthias Kuhn

Hi Paolo,

Can you execute the following commands in a python console:

import gdal

from osgeo.gdalconst import GA_ReadOnly

ds = gdal.Open('/path/to.tiff', GA_ReadOnly)

print(ds)

#2 - 2016-02-16 08:42 AM - Paolo Cavallini

<osgeo.gdal.Dataset; proxy of <Swig Object of type 'GDALDatasetShadow *' at 0x7feac4e9c5d0> >
#3 - 2016-02-18 04:04 AM - Matthias Kuhn

Which algorithm, dataset, parameters have you been trying?

#4 - 2016-02-18 08:43 AM - Paolo Cavallini

eg.

processing.runalg("qgis:basicstatisticsfornumericfields","/home/paolo/Scrivania/corso_analisi/QGIS_data/processing/html/census_boundaries.shp","POP
000",None)

IndexError: list index out of range
Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/processing/gui/HistoryDialog.py", line 128, in createTest
TestTools.createTest(item.entry.text)
File "/usr/share/qgis/python/plugins/processing/gui/TestTools.py", line 160, in createTest
token = tokens]i - len(alg.outputs)]

IndexError: list index out of range

#5 - 2016-02-21 05:04 AM - Matthias Kuhn

Hi Paolo,

Each output type needs to be added to the tests, vector and raster data have been present since first merge. Today | added HTML (e.g. basic statistics).
So the latest error should be gone.

| added a test for basic statistics with a float field. It would be great if you could check if you can add basic statistics for string fields.

FYI:
Please use one of the provided test files in the processing/testdata folder unless there is a good reason to use another one. These files include some NULL

values, positive and negative values and therefore should point out some common problems when implementing algorithms.

Raster issues:

While raster outputs work fine here and on the linux test machine, there are problems on the mac machine - and it looks like they are the same as on your
computer. To bad | do not have the possibility to reproduce this issue locally and to properly debug it. That would help to merge
https://github.com/qqgis/QGIS/pull/2761 .

Can you retry to run an algorithm which creates a tif, check if the output file is really in place and try to create a test for it and report the result back here.

#6 - 2016-02-22 03:35 AM - Alexander Bruy
- Operating System deleted (Debian)
- OS version deleted (Sid)

Test for "Basic statistics for text fields" added

#7 - 2016-04-08 06:16 AM - Alexander Bruy

2025-04-27 2/3


https://github.com/qgis/QGIS/pull/2761

- Status changed from Open to Feedback

Seems works fine now. Can we close this?

#8 - 2016-04-09 12:06 AM - Paolo Cavallini
- Status changed from Feedback to Closed

Agreed, works fine here now.
Thanks.
